### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-language-list/ecl-language-list.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `AfterViewInit` `OnDestroy`

### Metadata

selector | `ecl-language-list`
templateUrl | `./ecl-language-list.component.html`

### Index

###### Properties
eclLanguageListItems euLeftContainer euRightContainer nonEuLeftContainer nonEuRightContainer
###### Methods
onCloseClick onKeydownHandler getCssClasses
###### Inputs
isHidden isOverlay selectedLanguageCode class e2eAttr
###### Outputs
close languageSelected
###### HostBindings
class
###### HostListeners
document:keydown.escape
###### Accessors
cssClasses isSplash euLanguageListItems hasEuLanguageListItems nonEuLanguageListItems hasNonEuLanguageListItems

### Constructor

`constructor(eclLanguageService: EclLanguageService)`
Parameters :
Name | Type | Optional
eclLanguageService | `EclLanguageService` | No

### Inputs

isHidden
Type : `boolean | any`
Default value : `false`

isOverlay
Type : `boolean | any`
Default value : `false`

selectedLanguageCode
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

close
Type : `EventEmitter`

languageSelected
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

document:keydown.escape
Arguments : `'$event'`
`document:keydown.escape(event: KeyboardEvent)`

### Methods

onCloseClick
`onCloseClick(evt)`
Parameters :
Name | Optional
evt | No
Returns : `void`

onKeydownHandler
`onKeydownHandler(event: KeyboardEvent)`
Decorators : `@HostListener('document:keydown.escape', ['$event'])`
Parameters :
Name | Type | Optional
event | `KeyboardEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclLanguageListItems
Type : `QueryList<EclLanguageListItemComponent>`
Decorators : `@ContentChildren(EclLanguageListItemComponent)`

euLeftContainer
Type : `ElementRef`
Decorators : `@ViewChild('euLeftContainer')`

euRightContainer
Type : `ElementRef`
Decorators : `@ViewChild('euRightContainer')`

nonEuLeftContainer
Type : `ElementRef`
Decorators : `@ViewChild('nonEuLeftContainer')`

nonEuRightContainer
Type : `ElementRef`
Decorators : `@ViewChild('nonEuRightContainer')`

### Accessors

cssClasses
get `cssClasses()`

isSplash
get `isSplash()`

euLanguageListItems
get `euLanguageListItems()`

hasEuLanguageListItems
get `hasEuLanguageListItems()`

nonEuLanguageListItems
get `nonEuLanguageListItems()`

hasNonEuLanguageListItems
get `hasNonEuLanguageListItems()`

# results matching ""

# No results matching ""